package com.huimv.receive.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.receive.entity.BillClean;
import com.huimv.receive.entity.BillPcr;
import com.huimv.receive.entity.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 洗消表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface BillCleanMapper extends BaseMapper<BillClean> {

    Page<CleanAndDryVo> listCleanAndDry(Page<CleanAndDryVo> page, Integer farmId, Integer status);

    Page<CleanAndDryVo> listCleanAndDry(Page<CleanAndDryVo> page, Integer farmId);

    Page<CleanAndDryVo> listPersonalCleanAndDry(Page<CleanAndDryVo> page, Integer userId, String vistitType);

    Page<CleanAndDryVo2> CleanAndDry(Page<CleanAndDryVo2> page, String farmId, String type, String[] status, String[] locations);

    Page<CleanAndDryVo2> CleanAndDryNo(Page<CleanAndDryVo2> page, String type, String[] status, String[] locations);

    Page<CleanAndDryVo2> CleanAndDry2(Page<CleanAndDryVo2> page, String farmId, String[] status);

    Page<CleanAndDryVo2> CleanList(Page<CleanAndDryVo2> page, String farmId, String[] status, String location);

    List<CleanVo> listAll(@Param(Constants.WRAPPER) QueryWrapper<BillClean> queryWrapper);

    Page<CleanDryGoodsVo> listCleanDryGoods(Page<CleanDryGoodsVo> page, String farmId, String type, String[] status, String[] locations);

    Page<CleanDryGoodsVo> listCleanDryGoodsNo(Page<CleanDryGoodsVo> page, String type, String[] status, String[] locations);

    Page<CleanDryGoodsVo> listCleanDryGoods2(Page<CleanDryGoodsVo> page, String farmId, String type, String[] status, String[] locations);
}
